Debian Bug report logs - #673488
transition: ctemplate libctemplate0 -> libctemplate2

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mark Purcell <mark@purcell.id.au>

Date: Sat, 19 May 2012 00:00:02 UTC

Severity: normal

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, l2tp-ipsec-vpn@packages.debian.org, mysql-workbench@packages.debian.org, kraft@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#673488; Package release.debian.org. (Sat, 19 May 2012 00:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
New Bug report received and forwarded. Copy sent to l2tp-ipsec-vpn@packages.debian.org, mysql-workbench@packages.debian.org, kraft@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 19 May 2012 00:00:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: ctemplate libctemplate0 -> libctemplate2
Date: Sat, 19 May 2012 09:57:11 +1000
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

debian-release,

ctemplate has some RC bugs regarding gcc-4.7, the new upstream release,
bumps the soname and fixes gcc-4.7 build.

It has been uploaded to experimental:

ctemplate (2.2-1) experimental; urgency=low

  * New upstream release
    - Fixes "ftbfs with GCC-4.7" (Closes: #667145)
    - Fixes "New Upsstream, Watch File" (Closes: #658404)
    - Fix "g++-4.7 -std=c++0x issue" (Closes: #665360)
  * --program-prefix=ctemplate- 
  * NEW package libctemplate2 - match-soname

 -- Mark Purcell <msp@debian.org>  Sat, 19 May 2012 07:55:00 +1000


Affected packages:

libctemplate0
Reverse Depends:
  l2tp-ipsec-vpn	unrelated FTBFS #672005
  mysql-workbench	binNMU OK
  kraft			unrelated FTBFS multiarch

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#673488; Package release.debian.org. (Sat, 19 May 2012 11:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 19 May 2012 11:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 673488@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 673488@bugs.debian.org
Cc: mysql-workbench@packages.debian.org
Subject: Re: Bug#673488: transition: ctemplate libctemplate0 -> libctemplate2
Date: Sat, 19 May 2012 13:19:06 +0200
[Message part 1 (text/plain, inline)]
Mark Purcell <mark@purcell.id.au> (19/05/2012):
> ctemplate has some RC bugs regarding gcc-4.7, the new upstream
> release, bumps the soname and fixes gcc-4.7 build.
> 
> It has been uploaded to experimental:
> 
> ctemplate (2.2-1) experimental; urgency=low
> 
>   * New upstream release
>     - Fixes "ftbfs with GCC-4.7" (Closes: #667145)
>     - Fixes "New Upsstream, Watch File" (Closes: #658404)
>     - Fix "g++-4.7 -std=c++0x issue" (Closes: #665360)
>   * --program-prefix=ctemplate- 
>   * NEW package libctemplate2 - match-soname
> 
>  -- Mark Purcell <msp@debian.org>  Sat, 19 May 2012 07:55:00 +1000
> 
> 
> Affected packages:
> 
> libctemplate0
> Reverse Depends:
>   l2tp-ipsec-vpn	unrelated FTBFS #672005

Fixed now apparently.

>   mysql-workbench	binNMU OK

That one is also involved in the mysql transition. Apparently, nothing
depends on it in testing, so worst case we have to remove it from
testing, but I think we should be able to keep the current version in
testing, built against old binaries, and get the rebuilt version to
migrate when the mysql transition gets into shape.

>   kraft			unrelated FTBFS multiarch

I see no bug reports against it? Might go away with the recent Qt vs.
multiarch transition. We'll deal with it.

Please go ahead with an upload to unstable.

Tracker is at:
  http://release.debian.org/transitions/html/ctemplate.html

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 19 May 2012 13:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#673488; Package release.debian.org. (Sun, 20 May 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 20 May 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 673488@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 673488@bugs.debian.org
Cc: mysql-workbench@packages.debian.org
Subject: Re: Bug#673488: transition: ctemplate libctemplate0 -> libctemplate2
Date: Sun, 20 May 2012 02:58:42 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (19/05/2012):
> Please go ahead with an upload to unstable.

This happened earlier and it's built/installed everywhere. I've just
scheduled binNMus for the following packages:
  kraft
  l2tp-ipsec-vpn
  mysql-workbench

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#673488; Package release.debian.org. (Fri, 25 May 2012 23:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 25 May 2012 23:45:06 GMT) Full text and rfc822 format available.

Message #22 received at 673488@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 673488@bugs.debian.org
Cc: mysql-workbench@packages.debian.org
Subject: Re: Bug#673488: transition: ctemplate libctemplate0 -> libctemplate2
Date: Sat, 26 May 2012 01:42:14 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (20/05/2012):
> This happened earlier and it's built/installed everywhere. I've just
> scheduled binNMus for the following packages:
>   kraft
>   l2tp-ipsec-vpn
>   mysql-workbench

That last one FTBFS'd on s390, probably due to the swig bug (hitting
s390 only), which got fixed recently. Given back. I've just asked
ftpmasters to decruft ctemplate (i.e. removing old binaries from
unstable), which should make it a candidate, baring aging. I'll look
into possibly missing bits after that.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#673488; Package release.debian.org. (Tue, 29 May 2012 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 29 May 2012 22:24:05 GMT) Full text and rfc822 format available.

Message #27 received at 673488@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 673488@bugs.debian.org
Cc: kraft@packages.debian.org
Subject: Re: Bug#673488: transition: ctemplate libctemplate0 -> libctemplate2
Date: Wed, 30 May 2012 00:20:27 +0200
[Message part 1 (text/plain, inline)]
Hello.

Cyril Brulebois <kibi@debian.org> (26/05/2012):
> That last one FTBFS'd on s390, probably due to the swig bug (hitting
> s390 only), which got fixed recently. Given back. I've just asked
> ftpmasters to decruft ctemplate (i.e. removing old binaries from
> unstable), which should make it a candidate, baring aging. I'll look
> into possibly missing bits after that.

kraft/s390x is FTBFSing, due to qt's multiarchification. A fixed qt
should appear soon, so once it's uploaded, and binNMUs for some reverse
dependencies are ready too, we should be able to perform a give back.
That should get us rid of the old binary left in testing:
|  libctemplate0: s390x

Moving the tracker from ongoing to finished since the ctemplate
migration to testing happened during tonight's run.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sun, 03 Jun 2012 22:06:08 GMT) Full text and rfc822 format available.

Notification sent to Mark Purcell <mark@purcell.id.au>:
Bug acknowledged by developer. (Sun, 03 Jun 2012 22:06:08 GMT) Full text and rfc822 format available.

Message #32 received at 673488-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 673488-done@bugs.debian.org
Subject: Re: Bug#673488: transition: ctemplate libctemplate0 -> libctemplate2
Date: Mon, 4 Jun 2012 00:02:04 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (30/05/2012):
> kraft/s390x is FTBFSing, due to qt's multiarchification. A fixed qt
> should appear soon, so once it's uploaded, and binNMUs for some reverse
> dependencies are ready too, we should be able to perform a give back.
> That should get us rid of the old binary left in testing:
> |  libctemplate0: s390x

That has happened, closing accordingly.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jul 2012 07:42:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:15:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.